RagTime5ChartInternal::ZoneUnknown1Parser Struct Referencefinal

Internal: the helper to read a ZoneUnknown1's cell ZoneUnknown1. More...

Inheritance diagram for RagTime5ChartInternal::ZoneUnknown1Parser:

## Public Member Functions

| ZoneUnknown1Parser ()
| constructor
| ~ZoneUnknown1Parser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Additional Inherited Members

Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a ZoneUnknown1's cell ZoneUnknown1.

## Constructor & Destructor Documentation

## ZoneUnknown1Parser()

RagTime5ChartInternal::ZoneUnknown1Parser::ZoneUnknown1Parser | ( |  | ) |

inline

constructor

## ~ZoneUnknown1Parser()

RagTime5ChartInternal::ZoneUnknown1Parser::~ZoneUnknown1Parser | ( |  | ) |

final

destructor

## Member Function Documentation

## parseData()

bool RagTime5ChartInternal::ZoneUnknown1Parser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx